<!-- 会员机构管理-机构管理-机构资料管理-恢复 -->
<template>
    <app-drawer :title="t('common.alert')" v-model:show="show" :refresh="refresh" :loading="loading">
        <div class="g-text-message">确认恢复该机构？</div>
        <template #footer>
            <el-button @click="onCancel(false)">{{ t('operation.cancel') }}</el-button>
            <el-button type="primary" @click="onSubmit">{{ t('operation.confirm') }}</el-button>
        </template>
    </app-drawer>
</template>

<script lang="ts" setup>
import { shallowRef, PropType } from 'vue'
import { ElMessage } from 'element-plus'
import { organDetailRecover } from '@/services/api/member'
import AppDrawer from '@pc/components/base/drawer/index.vue'
import { i18n } from '@/stores'

const props = defineProps({
    record: {
        type: Object as PropType<Model.OrganDetailListRsp>,
        required: true
    }
})

const { global: { t } } = i18n
const show = shallowRef(true)
const refresh = shallowRef(false)
const loading = shallowRef(false)

const onCancel = (isRefresh = false) => {
    show.value = false
    refresh.value = isRefresh
}

const onSubmit = () => {
    loading.value = true
    organDetailRecover({
        data: {
            userid: props.record.userid
        }
    }).then(() => {
        ElMessage.success('恢复成功')
        onCancel(true)
    }).catch((err) => {
        ElMessage.error('恢复失败：' + err)
        onCancel()
    }).finally(() => {
        loading.value = false
    })
}
</script>